Method: projects.locations.getSharedRegionalCertificateAuthority

Redis 클러스터의 리전 인증 기관 정보의 세부정보를 가져옵니다.

HTTP 요청

GET https://redis.googleapis.com/v1/{name=projects/*/locations/*/sharedRegionalCertificateAuthority}

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
name

string

필수 항목입니다. projects/{projectId}/locations/{locationId}/sharedRegionalCertificateAuthority 형식을 사용하는 리전 인증 기관 리소스 이름입니다. 여기서 locationId는 Google Cloud 리전을 나타냅니다.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

공유 리전 인증 기관

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (RegionalManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
필드
name

string

식별자. projects/{project}/locations/{location}/sharedRegionalCertificateAuthority 형식을 사용한 프로젝트 및 위치가 포함된 범위 내 리소스의 고유한 이름입니다.

서버 CA 정보입니다. 다음은 상호 배타적인 필드의 목록입니다. 응답에는 다음 필드 중 최대 하나가 설정됩니다.
managedServerCa

object (RegionalManagedCertificateAuthority)

Redis 관리 서버 인증을 위한 CA 인증서 체인입니다.

상호 배타적 필드의 끝입니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

자세한 내용은 Authentication Overview를 참조하세요.

RegionalManagedCertificateAuthority

Redis 관리 서버 인증을 위한 CA 인증서 체인입니다.

JSON 표현
{
  "caCerts": [
    {
      object (RegionalCertChain)
    }
  ]
}
필드
caCerts[]

object (RegionalCertChain)

Redis 관리 서버 인증을 위한 PEM으로 인코딩된 CA 인증서 체인입니다.

RegionalCertChain

리프에서 루트 순서로 CA 체인을 형성하는 인증서입니다.

JSON 표현
{
  "certificates": [
    string
  ]
}
필드
certificates[]

string

리프에서 루트 순서로 CA 체인을 형성하는 인증서입니다.